Summary: A mouse server for the Linux console
Name: gpm
Version: 1.20.6
Release: 12%{?dist}
License: GPLv2+
Group: System Environment/Daemons
URL: http://www.nico.schottelius.org/software/gpm/
Source: http://www.nico.schottelius.org/software/gpm/archives/%{name}-%{version}.tar.lzma
Source1: gpm.init
Source2: inputattach.c
Source3: inputattach.1.gz
Patch1: gpm-1.20.6-multilib.patch
Patch2: gpm-1.20.1-lib-silent.patch
Patch3: gpm-1.20.3-gcc4.3.patch
Patch4: gpm-1.20.5-close-fds.patch
Patch5: gpm-1.20.1-weak-wgetch.patch
Patch6: gpm-1.20.6-libtool.patch
#Patch7: gpm-1.20.6-capability.patch
Requires(post): /sbin/chkconfig /sbin/install-info /sbin/ldconfig
Requires(preun): /sbin/chkconfig /sbin/install-info
Requires(postun): /sbin/ldconfig
Requires: %{name}-libs = %{version}-%{release}
# this defines the library version that this package builds.
%define LIBVER 2.1.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildRequires: sed gawk texinfo bison ncurses-devel autoconf automake libtool libcap-ng-devel

%description
Gpm provides mouse support to text-based Linux applications like the
Emacs editor and the Midnight Commander file management system.  Gpm
also provides console cut-and-paste operations using the mouse and
includes a program to allow pop-up menus to appear at the click of a
mouse button.

%package libs
Summary: Dynamic library for for the gpm
Group: System Environment/Libraries

%description libs
This package contains the libgpm.so dynamic library which contains
the gpm system calls and library functions.

%package devel
Requires: %{name}-libs = %{version}-%{release}
Summary: Development files for the gpm library
Group: Development/Libraries

%description devel
The gpm-devel package includes header files and libraries necessary
for developing programs which use the gpm library. The gpm provides
mouse support to text-based Linux applications.

%package static
Requires: %{name} = %{version}-%{release}
Summary: Static development files for the gpm library
Group: Development/Libraries

%description static
The gpm-static package includes static libraries of gpm. The gpm provides
mouse support to text-based Linux applications.


%prep
%setup -q
%patch1 -p1 -b .multilib
%patch2 -p1 -b .lib-silent
%patch3 -p1 -b .gcc4.3
%patch4 -p1 -b .close-fds
%patch5 -p1 -b .weak-wgetch
%patch6 -p1 -b .libtool
#%patch7 -p1 -b .capability

iconv -f iso-8859-1 -t utf-8 -o TODO.utf8 TODO
touch -c -r TODO TODO.utf8
mv -f TODO.utf8 TODO

autoreconf

%build
%configure
make %{?_smp_mflags}
%__cc $RPM_OPT_FLAGS -o inputattach %{SOURCE2}


%install
rm -rf %{buildroot}

%makeinstall

chmod 0755 %{buildroot}/%{_libdir}/libgpm.so.%{LIBVER}
ln -sf libgpm.so.%{LIBVER} %{buildroot}/%{_libdir}/libgpm.so

install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/inputattach.1.gz

rm -f %{buildroot}%{_datadir}/emacs/site-lisp/t-mouse.el

%ifnarch s390 s390x
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d  
install -m 755 inputattach %{buildroot}%{_sbindir}
install -m 644 conf/gpm-* %{buildroot}%{_sysconfdir}
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/gpm
%else
# we're shipping only libraries in s390[x], so
# remove stuff from the buildroot that we aren't shipping
rm -rf %{buildroot}%{_sbindir}
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_mandir}
%endif

%clean
rm -rf %{buildroot}

%post
%ifnarch s390 s390x
/sbin/chkconfig --add gpm
%endif
if [ -e %{_infodir}/gpm.info.gz ]; then
  /sbin/install-info %{_infodir}/gpm.info.gz %{_infodir}/dir || :
fi
/sbin/ldconfig

%preun
%ifnarch s390 s390x
if [ $1 = 0 ]; then
    /sbin/service gpm stop >/dev/null 2>&1
    /sbin/chkconfig --del gpm
fi
%endif
if [ $1 = 0 -a -e %{_infodir}/gpm.info.gz ]; then
  /sbin/install-info %{_infodir}/gpm.info.gz --delete %{_infodir}/dir || :
fi

%postun
%ifnarch s390 s390x
if [ $1 -ge 1 ]; then
    /sbin/service gpm condrestart >/dev/null 2>&1
fi
%endif
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc BUGS COPYING README TODO
%doc doc/README* doc/FAQ doc/Announce doc/changes/*
%{_infodir}/*
%ifnarch s390 s390x
%config(noreplace) %{_sysconfdir}/gpm-*
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/gpm
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man?/*
%endif

%files libs
%defattr(-,root,root,-)
%{_libdir}/libgpm.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libgpm.so

%files static
%defattr(-,root,root,-)
%{_libdir}/libgpm.a


%changelog

